
QGIS Application - Bug report #20743

After handling bad layers, no unsaved state

2018-12-06 03:35 PM - Nathan Saylor

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Project Loading/Saving

Affected QGIS version:3.4.2 Regression?: No

Operating System: Win7 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28563

Description

Sorry if this should be going under feature request, but I think it's problematic.

After handling bad layers, QGIS does not set the project to an unsaved state, so a person could close the project from that point and not

have the option to save with the updated layer sources.

Checked in 3.4 and 3.5 (Which thank you for the options to hang onto bad layers in 3.5. That's a feature I've wanted for a long time! :) )

Associated revisions

Revision 0042cc0f - 2018-12-13 11:39 AM - Alessandro Pasotti

Mark project dirty when bad layers have changed

Fixes #20743

History

#1 - 2018-12-07 07:46 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-12-12 11:13 AM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

https://github.com/qgis/QGIS/pull/8657

#3 - 2018-12-12 11:13 AM - Alessandro Pasotti

- Status changed from Open to In Progress

#4 - 2018-12-13 02:57 PM - Alessandro Pasotti

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|0042cc0f33906f5403dc02fb52cbe6b130d95569.
